Follow

Minimum browser requirements

In order to process securely your order, our payment gateway does not support crytography ciphers of TLS v1.0 nor v1.1. This is in line with PCI DSS 3.1 standards.

The minimum browser requirements are

  • Chrome 33
  • Internet Explorer 11
  • Firefox 28
  • Safari 7
  • Opera 19

Comments